Bug 450494 - MailTo configuration parameter is ignored
MailTo configuration parameter is ignored
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 03:29 EDT by Andrzej Pokrywko
Modified: 2008-06-11 19:33 EDT (History)
0 users

See Also:
Fixed In Version: 7.3.6-22.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 19:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrzej Pokrywko 2008-06-09 03:29:32 EDT
Description of problem:
When you set MailTo in logwatch.conf it's ignored. Environment MAILTO variable
is used instead. When you set command line param it's ok, but cron runs
logwatch.pl script with MAILTO set and without command line params (via
run-parts), which causes logwatch to ignore it's own config parameter.
This behavior is different than f8 version of logwatch.

Version-Release number of selected component (if applicable):
logwatch-7.3.6-21.fc9.noarch

How reproducible:
Always. Just run logwatch.pl with MAILTO env set to any email address you want.

Steps to Reproduce:
1. export MAILTO=root@localhost
2. /usr/share/logwatch/scripts/logwatch.pl

Actual results:
report sent to root@localhost, regardless what's in config file.

Expected results:
It should be sent to email address configured in config file as MailTo variable

Additional info:
Comment 1 Fedora Update System 2008-06-10 08:29:51 EDT
logwatch-7.3.6-22.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-06-11 00:38:20 EDT
logwatch-7.3.6-22.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update logwatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5210
Comment 3 Fedora Update System 2008-06-11 19:33:33 EDT
logwatch-7.3.6-22.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.